<?php

namespace Spec\Infomaker\Everyware\Support;

use Infomaker\Everyware\Support\Device;
use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class DeviceSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(Device::class);
    }

    public function it_should_default_to_desktop()
    {
        $this->currentDevice()->shouldReturn(Device::DESKTOP);

        $this->isDesktop()->shouldReturn(true);
    }

    public function it_can_tell_the_set_device()
    {
        $this->setDevice(Device::MOBILE);
        $this->currentDevice()->shouldReturn(Device::MOBILE);

        $this->isMobile()->shouldReturn(true);
    }

    public function it_shouldnt_allow_wrong_device_to_be_set()
    {
        $this->shouldThrow(\InvalidArgumentException::class)->during('setDevice', ['invalid']);
    }
}
